<?xml version="1.0" encoding="utf-8"?>
<!-- Root: only reason to use relative is background -->
<RelativeLayout
	android:id="@+id/root2"
	android:layout_width="fill_parent"
	android:layout_height="fill_parent"
    android:background="#000000"
	xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:atswidget="http://schemas.android.com/apk/res-auto"
     >

    <!-- Picture background -->
    <ImageView
        android:id="@+id/background"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/coffee"
        android:background="#00000000"
        android:scaleType="centerCrop" />

    <!-- Camera background -->
    <SurfaceView
        android:id="@+id/video"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:visibility="invisible" />

    <!-- Main content: for now: graph -->
    <RelativeLayout
        android:id="@+id/achart"
        android:layout_width="match_parent"
        android:layout_height="fill_parent"
        android:visibility="visible"
        android:layout_alignParentTop="true"
        android:layout_alignParentBottom="true"
        />

    <!-- Installation manual
    <WebView  xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/installation_manual"
        android:visibility="invisible"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        />
    -->

    <TextView
        android:id="@+id/logging"
        android:layout_width="match_parent"
        android:layout_height="fill_parent"
        android:visibility="visible"
        android:textColor="#FFFFFF"
        android:layout_alignParentTop="true"
        android:layout_alignParentBottom="true"
        />

    <!-- Overlay over background ( the actual controls ) -->
    <RelativeLayout
        android:id="@+id/root"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_alignParentStart="true"
        android:layout_alignParentTop="true"
        android:layout_marginStart="0dp"
        android:layout_marginTop="0dp"
        android:padding="16dp">

        <!-- Top bar -->
        <RelativeLayout
            android:id="@+id/topbar"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true">

            <!--  Indicator / ON/OFF -->
            <ImageView
                android:id="@+id/Indicator"
                android:layout_width="64dp"
                android:layout_height="64dp"
                android:layout_alignParentTop="true"
                android:layout_alignParentRight="true"
                android:scaleType="centerInside"
                android:src="@drawable/silvia_off" />

            <ProgressBar
                android:id="@+id/progress"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:layout_alignParentRight="true"
                android:visibility="gone" >
            </ProgressBar>

        </RelativeLayout>

        <!--  Bottom bar -->
        <RelativeLayout
            android:id="@+id/bottombar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentBottom="true">

            <RelativeLayout
                android:id="@+id/gauges"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_alignParentBottom="true">

                <nl.digitalthings.mebarista.Gauge
                    android:id="@+id/power"
                    android:layout_width="200dp"
                    android:layout_height="200dp"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentBottom="true"
                    android:layout_marginRight="20dp"
                    atswidget:incrementPerLargeNotch="20"
                    atswidget:incrementPerSmallNotch="4"
                    atswidget:lowerTitle=""
                    atswidget:rangeErrorColor="0x9fff0000"
                    atswidget:rangeErrorMaxValue="100"
                    atswidget:rangeErrorMinValue="25"
                    atswidget:rangeOkColor="0x9f00ff00"
                    atswidget:rangeOkMaxValue="10"
                    atswidget:rangeOkMinValue="0"
                    atswidget:rangeWarningColor="0x9fff8800"
                    atswidget:rangeWarningMaxValue="25"
                    atswidget:rangeWarningMinValue="10"
                    atswidget:scaleCenterValue="0"
                    atswidget:scaleColor="0x9f004d0f"
                    atswidget:scaleMaxValue="100"
                    atswidget:scaleMinValue="0"
                    atswidget:showGauge="false"
                    atswidget:showHand="true"
                    atswidget:showRange="true"
                    atswidget:totalNotches="50"
                    atswidget:unitTitle="Boiler %"
                    atswidget:upperTitle="" />

                <nl.digitalthings.mebarista.Gauge
                    android:id="@+id/shottimer"
                    android:layout_width="200dp"
                    android:layout_height="200dp"
                    android:layout_alignParentBottom="true"
                    android:layout_toRightOf="@id/power"

                    android:visibility="gone"
                    atswidget:angleMaxValue="270"
                    atswidget:angleMinValue="0"
                    atswidget:incrementPerLargeNotch="5"
                    atswidget:incrementPerSmallNotch="1"
                    atswidget:lowerTitle=""
                    atswidget:rangeErrorColor="0x9fff0000"
                    atswidget:rangeErrorMaxValue="45"
                    atswidget:rangeErrorMinValue="25"
                    atswidget:rangeOkColor="0x9fff8800"
                    atswidget:rangeOkMaxValue="20"
                    atswidget:rangeOkMinValue="0"
                    atswidget:rangeWarningColor="0x9f00ff00"
                    atswidget:rangeWarningMaxValue="25"
                    atswidget:rangeWarningMinValue="20"
                    atswidget:scaleCenterValue="0"
                    atswidget:scaleColor="0x9f004d0f"
                    atswidget:scaleMaxValue="45"
                    atswidget:scaleMinValue="0"
                    atswidget:showGauge="false"
                    atswidget:showHand="true"
                    atswidget:showRange="true"
                    atswidget:totalNotches="45"
                    atswidget:unitTitle="Shot time"
                    atswidget:upperTitle="" />

            </RelativeLayout>

            <!-- Temperature control -->
            <LinearLayout
                android:id="@+id/tempcontrol"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_alignParentBottom="true"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <ProgressBar
                    android:id="@+id/TempLoading"
                    style="?android:attr/progressBarStyle"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:indeterminate="true"
                    android:visibility="invisible"/>

                <TextView
                    android:id="@+id/BTemp"
                    android:layout_width="fill_parent"
                    android:layout_height="67dp"
                    android:gravity="center"
                    android:text="---,-- °"
                    android:textColor="#FFFFFF"
                    android:textSize="24sp"
                    android:textStyle="bold" />

                <RelativeLayout
                    android:id="@+id/tempcontrolctrls"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content">


                    <Button
                        android:id="@+id/MinButton"
                        android:layout_width="52dp"
                        android:layout_height="52dp"
                        android:background="#B0993300"
                        android:text="-"
                        android:textColor="#FFFFFF"
                        android:textSize="28sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/SetPoint"
                        android:layout_width="70dp"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_gravity="center"
                        android:layout_marginLeft="0dp"
                        android:layout_toRightOf="@id/MinButton"
                        android:editable="false"
                        android:gravity="center"
                        android:text="---,-- °"
                        android:textColor="#FFFFFF"
                        android:textSize="14sp" />

                    <Button
                        android:id="@+id/PlusButton"
                        android:layout_width="52dp"
                        android:layout_height="52dp"
                        android:layout_toRightOf="@id/SetPoint"
                        android:background="#B0993300"
                        android:text="+"
                        android:textColor="#FFFFFF"
                        android:textSize="28sp"
                        android:textStyle="bold" />

                </RelativeLayout>

            </LinearLayout>


        </RelativeLayout>



    </RelativeLayout>
		    
</RelativeLayout>
